package com.willalp.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.willalp.system.mapper.SysDeptPostMapper;
import com.willalp.system.domain.SysDeptPost;
import com.willalp.system.service.ISysDeptPostService;

/**
 * 岗位设置2Service业务层处理
 *
 * @author songyu
 * @date 2022-02-11
 */
@Service
public class SysDeptPostServiceImpl extends ServiceImpl<SysDeptPostMapper, SysDeptPost>  implements ISysDeptPostService
{
    @Autowired
    private SysDeptPostMapper sysDeptPostMapper;

    /**
     * 查询岗位设置2列表
     *
     * @param sysDeptPost 岗位设置2
     * @return 岗位设置2
     */
    @Override
    public List<SysDeptPost> selectSysDeptPostList(SysDeptPost sysDeptPost)
    {
        return sysDeptPostMapper.selectSysDeptPostList(sysDeptPost);
    }

    @Override
    public SysDeptPost selectById(Long postId) {
        return sysDeptPostMapper.selectById(postId);
    }

    @Override
    public int updateSysDeptPost(SysDeptPost sysDeptPost) {
        return sysDeptPostMapper.updateSysDeptPost(sysDeptPost);
    }

    @Override
    public int deleteSysDeptPostByPostId(Long postId) {
        return sysDeptPostMapper.deleteSysDeptPostByPostId(postId);
    }


}
